package com.prolog.cs.biz.outbound.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class RedDTO implements Serializable {
    @ApiModelProperty(value = "订单id")
    private String billId;
    @ApiModelProperty(value = "订单id")
    private String srcId;
    @ApiModelProperty(value = "订单id")
    private String srcLineId;
    @ApiModelProperty(value = "订单明细id")
    private String billDId;
    @ApiModelProperty(value = "商品id")
    private String itemId;
    @ApiModelProperty(value = "冲红数量")
    private BigDecimal qty;
    @ApiModelProperty(value = "冲红原因")
    private String redReason;
    @ApiModelProperty(value = "冲红类型")
    private String type;

    @ApiModelProperty(value = "用户id")
    private String userId;
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    @ApiModelProperty(value = "员工工号")
    private String empNo;

    @ApiModelProperty(value = "数量")
    private BigDecimal pieceQty;

    @ApiModelProperty(value = "库存数量")
    private BigDecimal stockQty;

    public String getSrcId() {
        return srcId;
    }

    public void setSrcId(String srcId) {
        this.srcId = srcId;
    }

    public String getSrcLineId() {
        return srcLineId;
    }

    public void setSrcLineId(String srcLineId) {
        this.srcLineId = srcLineId;
    }

    public BigDecimal getPieceQty() {
        return pieceQty;
    }

    public void setPieceQty(BigDecimal pieceQty) {
        this.pieceQty = pieceQty;
    }

    public BigDecimal getStockQty() {
        return stockQty;
    }

    public void setStockQty(BigDecimal stockQty) {
        this.stockQty = stockQty;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getEmpNo() {
        return empNo;
    }

    public void setEmpNo(String empNo) {
        this.empNo = empNo;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getBillDId() {
        return billDId;
    }

    public void setBillDId(String billDId) {
        this.billDId = billDId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getRedReason() {
        return redReason;
    }

    public void setRedReason(String redReason) {
        this.redReason = redReason;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
